using APT.BaseData.Domain.Entities;
using APT.Infrastructure.EF.Map;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace APT.BaseData.Data.Mapping
{
	public class PFParamSchemeMap : APTEntityBaseMap<T_PF_PARAM_SCHEME>
	{
		public override void Configure(EntityTypeBuilder<T_PF_PARAM_SCHEME> builder)
		{
			base.Configure(builder);

			builder.Property(t => t.CODE).HasMaxLength(200);
			builder.Property(t => t.NAME).HasMaxLength(200);
			builder.Property(t => t.REMARK).HasMaxLength(400);
            builder.Property(t => t.NAME_ACRONYM).HasMaxLength(400);
        }
		 
	}
}
